Bug 1011916 - private bug decision should be taken only after seeing private data
private bug decision should be taken only after seeing private data
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 07:48 EDT by Kamil Páral
Modified: 2016-11-30 19:48 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:26:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2013-09-25 07:48:11 EDT
Description of problem:
Today my gnome-shell crashed and when reporting the bug, I was asked whether I want to create a private bug report, because the report contains some private data. However, I was asked _before_ I was able to review the private data. Therefore there is only one possible answer to that question - Yes. If I have to decide in advance, I'll always create private bugs, of course. And that's very suboptimal for our project.

The question should be asked after the user was given a chance review the private data, not before.

Version-Release number of selected component (if applicable):
abrt-2.1.7-1.fc20.x86_64
abrt-addon-ccpp-2.1.7-1.fc20.x86_64
abrt-addon-kerneloops-2.1.7-1.fc20.x86_64
abrt-addon-pstoreoops-2.1.7-1.fc20.x86_64
abrt-addon-python-2.1.7-1.fc20.x86_64
abrt-addon-vmcore-2.1.7-1.fc20.x86_64
abrt-addon-xorg-2.1.7-1.fc20.x86_64
abrt-dbus-2.1.7-1.fc20.x86_64
abrt-desktop-2.1.7-1.fc20.x86_64
abrt-gui-2.1.7-1.fc20.x86_64
abrt-gui-libs-2.1.7-1.fc20.x86_64
abrt-libs-2.1.7-1.fc20.x86_64
abrt-plugin-bodhi-2.1.7-1.fc20.x86_64
abrt-retrace-client-2.1.7-1.fc20.x86_64
gnome-abrt-0.3.1-1.fc20.x86_64
Comment 1 Richard Ryniker 2013-10-04 11:20:45 EDT
I ran into this issue when reporting an emacs crash... https://bugzilla.redhat.com/show_bug.cgi?id=1015293

After I selected a private bug report (because I could not examine what data was
perceived as possibly sensitive), I reviewed the submitted data and found no reason to keep it private.

After the bug report was submitted, I tried, as the reporter, to change the status from private to public.  Bugzilla forbade this change.

It is important to be more circumspect when a reduction in security level is requested than when an initial classification of (possibly) private data is made.

This comment simply records there appears to be no way for a reporter to change the "private" classification he felt compelled to select when told there might be sensitive data in a bug report.  It is not possible to work around this problem with a post-report edit.
Comment 2 Eric Blake 2013-10-16 10:57:09 EDT
I also note that in some cases, even when potentially sensitive information is flagged, that ABRT will let you edit the report to redact that data BEFORE actually posting anything upstream.  But the screen that warns about "potentially sensitive information detected" makes no mention of the fact that "you will be given an opportunity to scrub the data before submitting it externally".  Adding that bit of reassurance would make me more prone to not be private-by-default.
Comment 3 Kamil Páral 2013-10-29 16:15:46 EDT
Also, please never use YES-NO buttons in a question dialog. It's so easy to confuse them. Please call them "make it private" and "leave it public" or something similar. Focus the public one by default.
Comment 4 Jiri Moskovcak 2014-01-20 08:56:23 EST
I'm no longer working on ABRT, reassign to the new manager, so it won't get lost.
Comment 5 Fedora End Of Life 2015-05-29 05:27:13 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-07-19 06:26:20 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Jakub Filak 2016-07-19 06:39:56 EDT
I believe this bug is fixed in current release.

Note You need to log in before you can comment on or make changes to this bug.